package ca.recrown.islandsurvivalcraft.interaction.items;

public enum RegisteredVariedItem {
    ISLAND_MAP(new IslandMapItem())
    ;

    private final VariedItem variedItem;
    private RegisteredVariedItem(VariedItem alternateItem) {
        this.variedItem = alternateItem;
        this.variedItem.assignIdentifier(new VariationItemIdentifier(this.name()));
    }

    /**
     * @return the variedItem
     */
    public VariedItem getVariedItem() {
        return variedItem;
    }
}